Page 1 of 1

JCKit JAVACOS_5.0.1.7 released

Posted: Thu Jan 16, 2020 7:20 am
by product
Greetings all,

We are pleased to announce the release of JCKit JAVACOS_5.0.1.7.

Compared with the previous version, this version fixed some bugs and add some new features.

Fix:
1. JCIDE's code parsing functionality has been modified from the jlikes kernel to the j.d.ls
The functions of JDT.LS(https://github.com/eclipse/eclipse.jdt.ls) are as follows:
  • As you type reporting of parsing and compilation errors
    Code completion
    Javadoc hovers
    Code actions / refactoring
    Code outline
    Code navigation
    Code lens (references/implementations)
    Highlights
    Organize imports
    Type search
    Code formatting (on-type/selection/file)
    Java 9/10/11 support
2. Optimized the 'Class Inheritance View' and 'User Package View'
3. Optimized the badly formatted for 'Text Editor' suddenly became confused
4. Fix the bug of Memory Leaks

Add:
1. Added the SCP tool, which is separate from the DebugShell and is designed to work with JCIDE.
Previously, DebugShell was operated from the command line, and SCP was operated by GUI.
2. Added bluetooth function,socket debugging interface. External tools can easily integrate JCIDE.

Download Link:
1. Click Here to download it from the JavaCardOS website.
2. Download JAVACOS_5.0.1.7 from Google Drive.

Re: JCKit JAVACOS_5.0.1.7 released

Posted: Thu Jan 16, 2020 10:15 am
by priyankap
I am using JCKit -javacos_3.0.1.3 for writing my java applet.

I am adding JCKit as java_card_kit-3.0.5 and Global Platform 2.1.1 as Jar container while writing my java applet in JCIDE. When I debug it in JCIDE, applet gets installed and work as it should.

I now want to install this applet to my Java Card which is J2E081 JCOP v2.4.2 R3 80 KB (JavaCard 3.0.1 Classic) with Global platform 2.2.1.

When I try to install the .cap file of my applet it throws an error 6A 88 and applet is not getting installed.

Am I not able to install my .cap file because my Java Card supports GP 2.2.1 and JCIDE supports GP 2.1.1 or is there some other problem?

Re: JCKit JAVACOS_5.0.1.7 released

Posted: Thu Jan 16, 2020 12:01 pm
by kuafu